% !TEX root = ../../main.tex
\definesubmol{HCOH}{C(-[,0.7]OH)(-[:180,0.7]H)}
\definesubmol{acido}{HO-[,0.7]C(=[:90,0.6]\lewis{13,O})}
\definesubmol{codatri}{\lewis{26,O}-[,0.7]C(=[:90,0.6]\lewis{13,O})}
\schemestart
    \chemname{\chemfig{
        H
        -[:-90,0.7]!{HCOH}
        -[:-90,1.15]!{HCOH}
        -[:-90,1.15]!{HCOH}
        -[:-90,0.7]H
    }}{Glicerolo}
    \arrow(@c1.61--a1.west){0}[,0.1]
    \+
    \chemfig{
        !{acido}-[,0.7]R_1
    }
    \arrow(@c1.31--a2.west){0}[,0.1]
    \+
    \chemfig{
        !{acido}-[,0.7]R_2
    }
    \arrow(@c1.-32--a3.west){0}[,0.1]
    \+
    \chemfig{
        !{acido}-[,0.7]R_3
    }
    \arrow(@a2.-10--.170){->}
    \chemname{\chemfig{
        H
        -[:-90,0.7]C
            (-[:180,0.7]H)
            (-[:0,0.7]!{codatri}-[,0.7]R_1)
        -[:-90,1.15]C
            (-[:180,0.7]H)
            (-[:0,0.7]!{codatri}-[,0.7]R_2)
        -[:-90,1.15]C
            (-[:180,0.7]H)
            (-[:0,0.7]!{codatri}-[,0.7]R_3)
        -[:-90,0.7]H
    }}{Trigliceride}
    \arrow(.12--.west){0}[,0]
    \+
    3\chemfig{H_2O}
    \arrow(@a3.310--.north){0}[-90,0.45]
    \chemnameinit{}
    \chemname{\chemfig{}}{Acidi grassi}
\schemestop
